View Issue Details

IDProjectCategoryView StatusLast Update
0001130PluginsTemporary panelpublic2009-10-25 18:45
ReporterDimmYAssigned Toalexy 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version2.0 
Summary0001130: Переполнение стека
DescriptionНачиная со сборки 1172, вызов TMP-панели из командной строки вида "tmp:<SomeCommand" приводит к падению FAR'а.
При использовании плагина TmpPanel из сборки 1170 всё нормализуется.
TagsNo tags attached.

Relationships

has duplicate 0001115 closedalexy Far Manager При прерывании запущенного скрипта (Python) нажатием Ctrl-C закрывается и FAR 
has duplicate 0001133 closed Plugins TmpPanel роняет Far при нажатии Ctrl-Break и Ctrl-C 

Activities

vskirdin

2009-10-23 11:19

administrator   bugnote:0004306

см. 56-й билд панели

alexy

2009-10-23 11:43

administrator   bugnote:0004309

не, не смотрите. я скажу когда смотреть.

Denis

2009-10-23 11:51

reporter   bugnote:0004311

Если поправили размер стека через makefile, то хорошо бы поправить и в vcproj файле.

alexy

2009-10-23 11:52

administrator   bugnote:0004312

забудьте про изменение размера стека.

alexy

2009-10-23 14:49

administrator   bugnote:0004313

fixed. build 57. Проверять на фаре 1178 (не на 1177).

Issue History

Date Modified Username Field Change
2009-10-21 10:11 DimmY New Issue
2009-10-23 11:19 vskirdin Note Added: 0004306
2009-10-23 11:43 alexy Note Added: 0004309
2009-10-23 11:43 alexy Status new => assigned
2009-10-23 11:43 alexy Assigned To => alexy
2009-10-23 11:47 alexy Relationship added has duplicate 0001115
2009-10-23 11:47 alexy Relationship added has duplicate 0001133
2009-10-23 11:48 alexy Project Far Manager => Plugins
2009-10-23 11:50 alexy Category Command Line/Execute => Temporary panel
2009-10-23 11:50 alexy Summary Вызов TMP-панели через префикс вызывает падение FAR'а => Переполнение стека
2009-10-23 11:51 Denis Note Added: 0004311
2009-10-23 11:52 alexy Note Added: 0004312
2009-10-23 14:49 alexy Note Added: 0004313
2009-10-23 14:49 alexy Status assigned => feedback
2009-10-24 06:08 test Status feedback => resolved
2009-10-24 06:08 test Resolution open => fixed
2009-10-24 06:09 alexy Status resolved => feedback
2009-10-25 18:45 alexy Status feedback => closed
2009-10-25 18:45 alexy Fixed in Version => 2.0